package com.bonus.material.push.service;

import com.bonus.material.push.domain.CostPushBean;

import java.util.List;

/**
 * @author : 阮世耀
 * @version : 1.0
 * @PackagePath: com.bonus.material.push.service
 * @CreateTime: 2025-06-29  14:16
 * @Description: 描述
 */
public interface CostPushService {

    /**
     * 获取费用推送审核数据
     */
    List<CostPushBean> getCostPushCheckList(CostPushBean o);

    /**
     * 获取费用推送审核数据
     */
    CostPushBean getCostPushCheckListCount(CostPushBean o);

    /**
     * 获取消耗费用推送审核数据
     */
    List<CostPushBean> getConsumPushCheckList(CostPushBean o);

    CostPushBean getConsumPushCheckListCount(CostPushBean o);


    List<CostPushBean> findDetails(CostPushBean o);

    List<CostPushBean> findOtherDetails(CostPushBean o);


    /**
     * 推送数据到优尔
     */
    void pushDataToYouer(String cheks);

    /**
     * 消耗性费用推送数据到优尔
     */
    void pushConsumeDataToYouer(String cheks);

    /**
     * 更新安全状态
     */
    int updatePushAQStatus(CostPushBean bean);

    /**
     * 更新消耗品状态
     */
    int updatePushXHStatus(CostPushBean bean);

    List<CostPushBean> getCostPushLeaseList(CostPushBean o);
}
